/*
 * Class COLLECTION [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_629 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_629 [] = {0xFF01,237,628,179,0xFFFF};
static const EIF_TYPE_INDEX egt_2_629 [] = {0xFF01,628,179,0xFFFF};
static const EIF_TYPE_INDEX egt_3_629 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_629 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_629 [] = {0xFF01,628,179,0xFFFF};
static const EIF_TYPE_INDEX egt_6_629 [] = {0xFF01,628,179,0xFFFF};
static const EIF_TYPE_INDEX egt_7_629 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_629 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_629 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_629 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_629 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_629 [] = {628,179,0xFFFF};
static const EIF_TYPE_INDEX egt_13_629 [] = {0xFF01,628,179,0xFFFF};
static const EIF_TYPE_INDEX egt_14_629 [] = {0xFF01,624,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_629 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_629[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_629), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_629), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_629), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_629), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_629), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_629), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_629), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_629), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_629), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_629), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_629), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_629), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_629), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_629), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1896, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1898, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_629), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_629), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1950, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init629(void)
{
	IDSC(desc_629, 0, 628);
	IDSC(desc_629 + 1, 1, 628);
	IDSC(desc_629 + 32, 77, 628);
	IDSC(desc_629 + 41, 282, 628);
}


#ifdef __cplusplus
}
#endif
